<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<menu-config xmlns="http://jmix.io/schema/ui/menu">

    <item screen="DashboardMain" caption="msg://com.company.management.screen.dashboardmain/dashboardMain.caption" insertAfter="dashboard" id="dashboardMain"/>
    <menu id="wallet" caption="Wallet" insertAfter="dashboardMain">
        <item screen="BursaWallet.browse"
              caption="msg://com.company.management.screen.transactionacct/bursaWalletBrowse.menu"/>
        <item screen="AceWallet.browse"
              caption="msg://com.company.management.screen.transactionacct/aceWalletBrowse.menu"/>
        <item screen="InvestorWalletView.browse"
              caption="msg://com.company.management.screen.transactionhistoriesview/investorWalletBrowse.menu"/>
        <item screen="NotificationType.browse"
              caption="msg://com.company.management.screen.notificationtype/notificationTypeBrowse.menu"/>
        <item screen="NotificationDetail.browse"
              caption="msg://com.company.management.screen.notificationdetail/notificationDetailBrowse.menu"/>
        <item screen="NotificationStatus.browse"
              caption="msg://com.company.management.screen.notificationstatus/notificationStatusBrowse.menu"/>
        <item screen="Notification.browse"
              caption="msg://com.company.management.screen.notification/notificationBrowse.menu"/>
        <item screen="NotificationCategory.browse"
              caption="msg://com.company.management.screen.notificationcategory/notificationCategoryBrowse.menu"/>
    </menu>
    <menu id="onboarding" caption="Onboarding Management" insertAfter="wallet">
        <item screen="UserProfile.browse"
              caption="msg://com.company.management.screen.userprofile/userProfileBrowse.menu"/>
        <item screen="UserProfileTierUpgrade.browse"
              caption="msg://com.company.management.screen.userprofile/userProfileTierUpgradeBrowse.menu"/>
        <item screen="CompanyUser.browse"
              caption="msg://com.company.management.screen.companyuser/companyUserBrowse.menu" />
    </menu>

    <item screen="InvestorAccountManagement.browse"
          caption="msg://Investor Account Management"
          id="investorAccountManagement" stylename="bold"
          insertAfter="onboarding"/>

    <item screen="TierManagement.browse"
          caption= "msg://com.company.management.screen.tiermanagement/tierManagementBrowse.menu"
          insertAfter="investorAccountManagement" stylename="bold" id="tierPage"/>
    <menu id="userManagement" caption="msg://User Management" insertAfter="tierPage">
        <item screen="User.browse" caption="msg://com.company.management.screen.user/userBrowse.menu"/>

    </menu>
    <menu id="redemptionPage" caption="msg://Redeem Managament" insertAfter="userManagement">
        <item screen="TransactionAcctRedemption.browse"
              caption="msg://com.company.management.screen.transactionacct/transactionAcctRedemptionBrowse.menu" stylename="bold"/>
        <item screen="RedeemInfo.browse"
              caption="msg://com.company.management.screen.redeeminfo/redeemInfoBrowse.menu"/>
    </menu>

    <menu id="transferManagement" caption="Transfer Management" insertAfter="redemptionPage">
        <item screen="TransferInfoView.browse"
              caption="msg://com.company.management.screen.transferinfoview/transferInfoViewBrowse.menu"/>
    </menu>
    <menu id="rewardManagement" caption="Reward Management" insertAfter="transferManagement">
        <item screen="UserProfileReward.browse"
              caption="msg://com.company.management.screen.userprofile/userProfileRewardBrowse.menu"/>
        <item screen="RewardManagement.browse"
              caption="Sign Up"/>
        <item screen="RewardManagementReport.browse"
              caption="Reward Management Report"/>
    </menu>
    <menu id="revenueManagement" caption="Revenue Management" insertAfter="rewardManagement">
        <item screen="RevenueManagementV2.browse"
              caption="msg://com.company.management.screen.revenuemanagement/revenueManagementV2Browse.menu"/>
        <item screen="CostRevoceryConfiguration.browse"
              caption="msg://com.company.management.screen.costrevocerymanagement/costRevoceryConfigurationBrowse.menu"/>
        <item screen="MarginConfiguration.browse"
              caption="msg://com.company.management.screen.revenuemanagement/marginConfigurationBrowse.menu"/>
    </menu>
    <menu id="equilibriumManagement" caption="Equilibrium Management" insertAfter="revenueManagement">
        <menu id="bgdPrimaryIssuance" caption="msg://BGD Primary Issuance">
            <item screen="BGDDemocratisation.browse"
                  caption="msg://com.company.management.screen.purchaserecord/BGDDemocratisationBrowse.menu" id="primaryPurchase"/>
            <item screen="DeliveryRecordGold.browse"
                  caption="msg://com.company.management.screen.deliveryrecord/deliveryRecordGoldBrowse.menu"/>
            <item screen="ShariahRecordGold.browse"
                  caption="msg://com.company.management.screen.shariahrecord/shariahRecordGoldBrowse.menu"/>
        </menu>
        <menu id="bgdSubsequentIssuance" caption="msg://BGD Subsequent Issuance">
            <item screen="PurchaseSubsequentRecord.browse"
                  caption="msg://com.company.management.screen.purchaserecord/purchaseRecordSubsequentBrowse.menu"/>
            <item screen="DeliveryRecordSecondary.browse"
                  caption="msg://com.company.management.screen.deliveryrecord/deliveryRecordSecondarytBrowse.menu"/>
            <item screen="ShariahRecordSecondary.browse"
                  caption="msg://com.company.management.screen.shariahrecord/shariahRecordSecondaryBrowse.menu"/>
        </menu>
        <menu id="bgdBack-to-Back(B2B)Arrangement" caption="BGD Back-to-Back (B2B) Arrangement">
            <item screen="B2BGoldPurchasingSubsequent.browse"
                  caption="msg://com.company.management.screen.b2bgoldpurchasing/b2BGoldPurchasingSubsequentBrowse.menu"/>
            <item screen="B2BGoldPurchasingForSelling.browse"
                  caption="msg://com.company.management.screen.b2bgoldpurchasing/b2BGoldPurchasingForSellingBrowse.menu"/>
            <item screen="PurchaseHistoriesViewInvestor.browse"
                  caption="msg://com.company.management.screen.purchasehistoriesview/purchaseHistoriesViewInvestorBrowse.menu"/>
            <item screen="PurchaseHistoriesSupplierView.browse"
                  caption="msg://com.company.management.screen.purchasehistoriesview/purchaseHistoriesSupplierViewBrowse.menu"/>
            <item screen="TransactionHistoriesViewAdminB2B.browse"
                  caption="msg://com.company.management.screen.transactionhistoriesviewadmin/transactionHistoriesViewAdminB2BBrowse.menu"/>
            <item screen="TransactionHistoriesViewAdminB2BSupplier.browse"
                  caption="msg://com.company.management.screen.transactionhistoriesviewadmin/transactionHistoriesViewAdminB2BSupplierBrowse.menu"/>

        </menu>
        <menu id="bgdPhysicalGoldInventory" caption="msg://BGD Physical Gold Inventory">
            <item screen="ReserveRecordGoldBarInventory.browse"
                  caption="msg://com.company.management.screen.reserverecord/reserveRecordGoldBarInventoryBrowse.menu"/>
            <item screen="PurchaseRecordGoldDinarStock.browse"
                  caption="msg://com.company.management.screen.purchaserecord/purchaseRecordGoldDinarStockBrowse.menu"/>
            <item screen="HoldingAcct.browse"
                  caption="msg://com.company.management.screen.holdingacct/holdingAcctBrowse.menu"/>
            <item screen="Bgdissuance"
                  caption="msg://com.company.management.screen.bgdissuance/bgdIssuance.caption"/>
        </menu>
    </menu>
    <menu id="reportingManagement" caption="msg://com.company.management/Reporting" insertAfter="equilibriumManagement">
        <item screen="InvestorReport.browse"
              caption="msg://com.company.management.screen.usertier/investorReportBrowse.menu"/>
        <item screen="RevenueFeeReport.browse"
              caption="msg://com.company.management/menu_config.RevenueFeeReport.browse"/>
        <item screen="CashTopupReport.browse"
              caption="msg://com.company.management.entity.bgdreporting/CashTopupReport.menu"/>
        <item screen="CashWithdrawalReport.browse"
              caption="msg://com.company.management.screen.cashwithdrawalreport/CashWithdrawalReport.menu"/>
        <item screen="Back2BackReport.browse"
              caption="msg://com.company.management.screen.back2backreport/revenueFeeReportBrowse.menu"/>
        <item screen="EquilibriumShariah.browse"
              caption="msg://com.company.management.screen.equilibriumshariah/revenueFeeReportBrowse.menu"/>
        <item screen="GoldInventoryReport.browse"
              caption="msg://com.company.management.screen.goldinventoryreport/goldInventoryReportBrowse.menu"/>
        <item screen="RedemptionReport.browse"
              caption="msg://com.company.management.screen.redemptionreport/goldInventoryReportBrowse.menu"/>
        <item screen="BursaCashWalletStatement.browse"
              caption="msg://com.company.management.screen.bursacashwalletstatement/goldInventoryReportBrowse.menu"/>
        <item screen="InvestorCashWalletStatement.browse"
              caption="msg://com.company.management.screen.investorcashwalletstatement/goldInventoryReportBrowse.menu"/>
        <item screen="BursaGoldWalletStatement.browse"
              caption="msg://com.company.management.screen.bursagoldwalletstatement/goldInventoryReportBrowse.menu"/>
        <item screen="InvestorGoldWalletStatement.browse"
              caption="msg://com.company.management.screen.investorgoldwalletstatement/goldInventoryReportBrowse.menu"/>
        <item screen="InvestorAccountVerificationReportBrowse.browse"
              caption="msg://com.company.management.screen.accountverificationreport/investorAccountVerificationReportBrowse.menu"/>
<!--        <item screen="SupplierGoldWalletStatement.browse"-->
<!--              caption="msg://com.company.management.screen.suppliergoldwalletstatement/goldInventoryReportBrowse.menu"/>-->
<!--        <item screen="SupplierCashWalletStatement.browse"-->
<!--              caption="msg://com.company.management.screen.suppliercashwalletstatement/goldInventoryReportBrowse.menu"/>-->
    </menu>
    <menu id="goldPrice" caption="Gold Price">
        <item screen="ProductPrice.browse"
              caption="msg://Gold Price"/>
    </menu>
    <menu id="announcementManagement" caption="Announcement" insertAfter="reportingManagement">
        <item screen="Announcement" caption="msg://com.company.management.screen.announcement/announcement.caption"/>
<!--        <item screen="CreateAnnouncement"-->
<!--              caption="msg://com.company.management.screen.createannouncement/createAnnouncement.caption" />-->
    </menu>


    <menu id="partnerManagement" caption="msg://Partner Management" insertBefore="administration"/>

    <item screen="Dashboardbgd" caption="msg://com.company.management.screen.dashboardbgd/dashboardbgd.caption" insertBefore="administration"/>


    <menu id="application" caption="msg://com.company.management/menu.application" insertBefore="administration">
<!--        <item screen="ReserveRecordHoldingAccount.browse"-->
<!--              caption="msg://com.company.management.screen.reserverecord/reserveRecordHoldingAccountBrowse.menu"/>-->
<!--        <item screen="B2BGoldSellingSubsequent.browse"-->
<!--              caption="msg://com.company.management.screen.b2bgoldselling/b2BGoldSellingSubsequentBrowse.menu"/>-->
<!--        <item screen="ReserveRecordGold.browse"-->
<!--              caption="msg://com.company.management.screen.reserverecord/reserveRecordGoldBrowse.menu"/>-->
<!--        <item screen="BGDDemocratisation.browse"-->
<!--              caption="msg://com.company.management.screen.purchaserecord/BGDDemocratisationBrowse.menu"/>-->
<!--        <item screen="DeliveryRecordSubsequentGold.browse"-->
<!--              caption="msg://com.company.management.screen.deliveryrecordsubsequent/deliveryRecordSubsequentGoldBrowse.menu"/>-->
<!--        <item screen="ShariahRecordSubsequentGold.browse"-->
<!--              caption="msg://com.company.management.screen.shariahrecordsubsequent/shariahRecordSubsequentGoldBrowse.menu"/>-->
<!--        <item screen="Bgdissuanceinventory"-->
<!--              caption="msg://com.company.management.screen.bgdissuanceinventory/bgdissuanceinventory.caption"/>-->
        <item screen="PartnerManagementV1.browse"
              caption="msg://com.company.management.screen.partnermanagement/partnerManagementV1Browse.menu"/>
        <item screen="UserTierRegistrationOnboarding.browse"
              caption="msg://com.company.management.screen.usertierregistration/userTierRegistrationOnboardingBrowse.menu"/>
        <item screen="RtType-tier.browse" caption="msg://com.company.management.screen.rttype/rtTypeBrowseTier.menu"/>
        <item screen="FeesManagementRevenue.browse"
              caption="Fee Revenue Management"/>
        <item screen="FeesManagementCostRecovery.browse"
              caption="Fee Cost Recovery Management"/>
        <item screen="RtTypeGroup.browse"
              caption="msg://com.company.management.screen.rttypegroup/rtTypeGroupBrowse.menu"/>
        <item screen="RtType.browse" caption="msg://com.company.management.screen.rttype/rtTypeBrowse.menu"/>
        <item screen="Identification.browse"
              caption="msg://com.company.management.screen.identification/identificationBrowse.menu"/>



        <item screen="DashboardBursa"
              caption="msg://com.company.management.screen.dashboardbursa/dashboardBursa.caption"/>
        <item screen="Widgetdashboard"
              caption="msg://com.company.management.screen.widgetdashboard/widgetdashboard.caption"/>
        <item screen="Linechart" caption="msg://com.company.management.screen.linechart/linechart.caption"/>
        <item screen="MultipleChartAxes"
              caption="msg://com.company.management.screen.multiplechartaxes/multipleChartAxes.caption"/>
        <item screen="Product.browse" caption="msg://com.company.management.screen.product/productBrowse.menu"/>
        <item screen="GoldPriceHistory.browse"
              caption="msg://com.company.management.screen.goldpricehistory/goldPriceHistoryBrowse.menu"/>
        <item screen="Currency.browse" caption="msg://com.company.management.screen.currency/currencyBrowse.menu"/>
        <item screen="InventoryManagement.browse"
              caption="msg://com.company.management.screen.inventorymanagement/inventoryManagementBrowse.menu"/>
        <item screen="ProductGroup.browse"
              caption="msg://com.company.management.screen.productgroup/productGroupBrowse.menu"/>
        <item screen="ProductManagement.browse"
              caption="msg://com.company.management.screen.productmanagement/productManagementBrowse.menu"/>
        <item screen="ProductSupplier.browse"
              caption="msg://com.company.management.screen.productsupplier/productSupplierBrowse.menu"/>
        <item screen="TierThreshold.browse"
              caption="msg://com.company.management.screen.tierthreshold/tierThresholdBrowse.menu"/>
        <item screen="SupportDoc.browse"
              caption="msg://com.company.management.screen.supportdoc/supportDocBrowse.menu"/>
        <item screen="SupportDocType.browse"
              caption="msg://com.company.management.screen.supportdoctype/supportDocTypeBrowse.menu"/>
        <item screen="RtTypeByGroup.browse"
              caption="msg://com.company.management.screen.rttype/rtTypeByGroupBrowse.menu"/>
        <item screen="RevenueManagement.browse"
              caption="msg://com.company.management.screen.revenuemanagement/revenueManagementBrowse.menu"/>
        <item screen="CostRevoceryManagement.browse"
              caption="msg://com.company.management.screen.costrevocerymanagement/costRevoceryManagementBrowse.menu"/>
        <item screen="AccountBgd.browse"
              caption="msg://com.company.management.screen.accountbgd/accountBgdBrowse.menu"/>
        <item screen="RegType.browse" caption="msg://com.company.management.screen.regtype/accountBgdBrowse.menu"/>
        <item screen="TransactionType.browse"
              caption="msg://com.company.management.screen.transactiontype/accountBgdBrowse.menu"/>
        <item screen="UnitOfMeasure.browse"
              caption="msg://com.company.management.screen.unitofmeasure/accountBgdBrowse.menu"/>
        <item screen="TransMethod.browse"
              caption="msg://com.company.management.screen.transmethod/accountBgdBrowse.menu"/>
        <item screen="AccountHold.browse"
              caption="msg://com.company.management.screen.accounthold/accountBgdBrowse.menu"/>
        <item screen="WalletType.browse"
              caption="msg://com.company.management.screen.wallettype/accountBgdBrowse.menu"/>
        <item screen="TransactionAcct.browse"
              caption="msg://com.company.management.screen.transactionacct/accountBgdBrowse.menu"/>
        <item screen="AccountWalletView.browse"
              caption="msg://com.company.management.screen.accountwalletview/accountWalletViewBrowse.menu"/>
        <item screen="TransStatus.browse"
              caption="msg://com.company.management.screen.transstatus/accountBgdBrowse.menu"/>
        <item screen="TransferInfo.browse"
              caption="msg://com.company.management.screen.transferinfo/transferInfoBrowse.menu"/>
        <item screen="UserTierRegistration.browse"
              caption="msg://com.company.management.screen.usertierregistration/userTierRegistrationBrowse.menu"/>
        <item screen="PurchaseRecord.browse"
              caption="msg://com.company.management.screen.purchaserecord/purchaseRecordBrowse.menu"/>
        <item screen="DeliveryRecord.browse"
              caption="msg://com.company.management.screen.deliveryrecord/deliveryRecordBrowse.menu"/>
        <item screen="ShariahRecord.browse"
              caption="msg://com.company.management.screen.shariahrecord/shariahRecordBrowse.menu"/>
        <item screen="DeliveryRecordSubsequent.browse"
              caption="msg://com.company.management.screen.deliveryrecordsubsequent/deliveryRecordSubsequentBrowse.menu"/>
        <item screen="ShariahRecordSubsequent.browse"
              caption="msg://com.company.management.screen.shariahrecordsubsequent/shariahRecordSubsequentBrowse.menu"/>
        <item screen="B2BGoldPurchasing.browse"
              caption="msg://com.company.management.screen.b2bgoldpurchasing/b2BGoldPurchasingBrowse.menu"/>
        <item screen="B2BGoldSelling.browse"
              caption="msg://com.company.management.screen.b2bgoldselling/b2BGoldSellingBrowse.menu"/>
        <item screen="TransactionHistoriesViewAdmin.browse"
              caption="msg://com.company.management.screen.transactionhistoriesviewadmin/transactionHistoriesViewAdminBrowse.menu"/>
        <item screen="PartnerManagement.browse"
              caption="msg://com.company.management.screen.partnermanagement/partnerManagementBrowse.menu"/>
        <item screen="DinarStockReorderRule.browse"
              caption="msg://com.company.management.screen.dinarstockreorderrule/dinarStockReorderRuleBrowse.menu"/>
        <item screen="PurchaseHistoriesTestView.browse"
              caption="msg://com.company.management.screen.purchasehistoriesview/purchaseHistoriesViewTestBrowse.menu"/>
        <item screen="ProductLivePrice.browse"
              caption="msg://com.company.management.screen.productprice/productLivePriceBrowse.menu"/>
        <item screen="DisplayLog" caption="msg://com.company.management.screen.displaylog/displayLog.caption"/>
        <item screen="sec_ResourceRoleEntity.browse"
              caption="msg://com.company.management.screen.resourceroleentity/resourceRoleEntityBrowse.menu"/>
        <item screen="sec_RoleAssignmentEntity.browse"
              caption="msg://com.company.management.screen.roleassignmententity/roleAssignmentEntityBrowse.menu"/>
        <item screen="FinanceCashTransactionInterface.browse"
              caption="msg://com.company.management.screen.financecashtransactioninterface/financeCashTransactionInterfaceBrowse.menu"/>
        <item screen="SapCash1.browse" caption="msg://com.company.management.screen.sapcash1/sapCash1Browse.menu"/>
        <item screen="SapCash2.browse" caption="msg://com.company.management.screen.sapcash2/sapCash2Browse.menu"/>
        <item screen="SapFee1.browse" caption="msg://com.company.management.screen.sapfee1/sapFee1Browse.menu"/>
        <item screen="SapFee2.browse" caption="msg://com.company.management.screen.sapfee2/sapFee2Browse.menu"/>
        <item screen="FinanceCashTransactionInterfacePart1.browse"
              caption="msg://com.company.management.screen.financecashtransactioninterface/financeCashTransactionInterfacePart1Browse.menu"/>
        <item screen="SendemailScreen" caption="msg://com.company.management.screen.sendemail/sendemailScreen.caption"/>
    </menu>
    <item screen="UserNonAdmin.browse" caption="msg://com.company.management.screen.user/useNonAdminBrowse.menu"/>
    <menu id="theme" caption="msg://com.company.management/Theme" insertAfter="administration">
        <item screen="themeSettingsScreen" caption="msg://io.jmix.ui.app.themesettings/themeSettings.caption"/>
    </menu>

</menu-config>